Update a customer
curl --request PATCH \
--url https://api.beta.suby.fi/v3/customers/{id} \
--header 'Content-Type: application/json' \
--header 'X-Suby-Api-Key: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"billingAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"externalRef": "<string>"
}
'import requests
url = "https://api.beta.suby.fi/v3/customers/{id}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"billingAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"externalRef": "<string>"
}
headers = {
"X-Suby-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Suby-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
billingAddress: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>'
},
externalRef: '<string>'
})
};
fetch('https://api.beta.suby.fi/v3/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "cus_abc123",
"organizationId": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"billingLine1": "<string>",
"billingLine2": "<string>",
"billingCity": "<string>",
"billingState": "<string>",
"billingPostalCode": "<string>",
"billingCountry": "<string>",
"businessName": "<string>",
"taxId": "<string>",
"externalRef": "<string>",
"taxRateBps": 123,
"customerAccountEVM": "<string>",
"customerAccountSOL": "<string>",
"customerAccountBTC": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": false,
"error": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}{
"success": false,
"error": "NOT_FOUND",
"message": "Resource not found"
}{
"success": false,
"error": "VALIDATION_ERROR",
"message": "Validation failed",
"data": {
"fieldErrors": [
{
"field": "method",
"message": "method is a required field"
}
]
}
}Customers
Update a customer
Update name and/or billing address. Email is immutable. Send billingAddress: null to clear it.
PATCH
/
v3
/
customers
/
{id}
Update a customer
Authorizations
Secret API key. sk_live_… (production) or sk_sandbox_… (sandbox).
Path Parameters
Example:
"cus_abc123"
Body
application/json
Was this page helpful?
⌘I

